# Includes a common template
include:
 - project: 'spc/tcv/tbx/git-tools-spc'
   file: 'gitlab-ci-tbx-template.yml'

variables:
  TBXFOLDER: matlab
  MATVER: last

# no build for gdat, so don't define jobs for this phase
test-matlab850:
  extends: .test-template
  variables:
    MATLABCMD: matlab850
    TESTCASE: basic-tcv

test-matlab:
  extends: .test-template
  variables:
    MATLABCMD: matlab
    TESTCASE: basic-tcv

# Tests with 'all' option deactivated for now since not workin
.test-matlab850-all:
  extends: test-matlab850
  variables:
     TESTCASE: all
  only:
  - schedules
  - web

# Staging, testing and deployment for releases
pre-deployment-staging:
 extends: .staging-template

# Staging tests
test-staging-920:
 extends: .test-staging-template
 variables:
  MATLABCMD: matlab920
 
test-staging-900:
 extends: .test-staging-template
 variables:
  MATLABCMD: matlab900

test-staging-850:
 extends: .test-staging-template
 variables:
  MATLABCMD: matlab850
  
test-staging-830:
 extends: .test-staging-template
 variables:
  MATLABCMD: matlab830
  
test-staging-800:
 extends: .test-staging-template
 variables:
  MATLABCMD: matlab800

# pre-deployment
pre-deployment-checks:
 extends: .pre-deployment-checks-template

# deploy  
deploy: 
  extends: .deploy-to-lac-template

# test post-deploy
test-post-deploy-matlab:
  extends: .test-post-deploy-template
  variables:
    MATLABCMD: matlab
    TESTCASE: basic-tcv

test-post-deploy-matlab-850:
  extends: .test-post-deploy-template
  variables:
    MATLABCMD: matlab850
    TESTCASE: basic-tcv
